Bug 193997 - Complete SO_PEERSEC for Unix datagram sockets
Complete SO_PEERSEC for Unix datagram sockets
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
high Severity medium
: ---
: ---
Assigned To: James Morris
Brian Brock
: SELinux
Depends On:
Blocks: FC6SELinuxKernel
  Show dependency treegraph
Reported: 2006-06-04 02:38 EDT by James Morris
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-05 15:40:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Morris 2006-06-04 02:38:39 EDT
Currently, lack of SO_PEERSEC for Unix datagram sockets leaves us with an
incomplete and inconsistent labeled networking API.  Catherine Zhang has
implemented a patch for this, but it is not yet upstream and IIRC, needs some
work.  If she is unable to do this, we may need to.

Need to check status with Catherine.
Comment 1 James Morris 2006-06-05 10:53:19 EDT
IBM have said they'll be submitting this code upstream soon.
Comment 2 Eric Paris 2006-07-05 14:56:18 EDT
Looks like this went into linus's tree 5 days ago.  Should we close?
Comment 3 James Morris 2006-07-05 15:26:54 EDT
Comment 4 Eric Paris 2006-07-05 15:40:02 EDT
Closing.   In 2.6.18

Note You need to log in before you can comment on or make changes to this bug.